﻿/*
 * CKEditor - The text editor for Internet - http://ckeditor.com
 * Copyright (C) 2003-2008 Frederico Caldeira Knabben
 *
 * == BEGIN LICENSE ==
 *
 * Licensed under the terms of any of the following licenses at your
 * choice:
 *
 *  - GNU General Public License Version 2 or later (the "GPL")
 *    http://www.gnu.org/licenses/gpl.html
 *
 *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
 *    http://www.gnu.org/licenses/lgpl.html
 *
 *  - Mozilla Public License Version 1.1 or later (the "MPL")
 *    http://www.mozilla.org/MPL/MPL-1.1.html
 *
 * == END LICENSE ==
 */

/**
 * @fileOverview Defines the {@link CKEDITOR.lang} object, for the English
 *		language. This is the base file for all translations.
 */

/**#@+
   @type String
   @example
*/

/**
 * Constains the dictionary of language entries.
 * @namespace
 */
CKEDITOR.lang['en'] =
{
	/**
	 * The language reading direction. Possible values are "rtl" for
	 * Right-To-Left languages (like Arabic) and "ltr" for Left-To-Right
	 * languages (like English).
	 * @default 'ltr'
	 */
	dir : 'ltr',

	// Toolbar buttons.
	source			: 'Source',
	underline		: 'Underline',
	bold			: 'Bold',
	italic			: 'Italic',
	selectAll		: 'Select All',
	removeFormat	: 'Remove Format',
	ok				: 'OK',
	cancel			: 'Cancel',
	horizontalrule	: 'Insert Horizontal Line',
	link			: 'Link',
	linkTitle		: 'Link',
	linkInfo		: 'Link Info',
	linkTarget		: 'Target',
	linkUpload		: 'Upload',
	linkAdvanced	: 'Advanced',
	linkType		: 'Link Type',
	linkToAnchor	: 'Link to anchor in the text',
	linkToEmail		: 'E-mail',
	linkTarget		: 'Target',
	linkTargetNotSet	: '<not set>',
	linkTargetFrame	: '<frame>',
	linkTargetPopup	: '<popup window>',
	linkTargetNew	: 'New Window (_blank)',
	linkTargetTop	: 'Topmost Window (_top)',
	linkTargetSelf	: 'Same Window (_self)',
	linkTargetParent	: 'Parent Window (_parent)',
	linkTargetFrameName	: 'Target Frame Name',
	linkTargetPopupName	: 'Popup Window Name',
	linkPopupFeatures	: 'Popup Window Features',
	linkPopupResizable	: 'Resizable',
	linkPopupStatusBar	: 'Status Bar',
	linkPopupLocationBar	: 'Location Bar',
	linkPopupToolbar	: 'Toolbar',
	linkPopupMenuBar	: 'Menu Bar',
	linkPopupFullScreen	: 'Full Screen (IE)',
	linkPopupScrollBars	: 'Scroll Bars',
	linkPopupDependent	: 'Dependent (Netscape)',
	linkPopupWidth		: 'Width',
	linkPopupLeft		: 'Left Position',
	linkPopupHeight		: 'Height',
	linkPopupTop		: 'Top Position',
	linkId				: 'Id',
	linkLangDir			: 'Language Direction',
	linkLangDirNotSet	: '<not set>',
	linkLangDirLTR		: 'Left to Right',
	linkLangDirRTL		: 'Right to Left',
	linkAcccessKey		: 'Access Key',
	linkName			: 'Name',
	linkLangCode		: 'Language Code',
	linkTabIndex		: 'Tab Index',
	linkAdvisoryTitle	: 'Advisory Title',
	linkAdvisoryContentType	: 'Advisory Content Type',
	linkCSSClasses		: 'Stylesheet Classes',
	linkCharset			: 'Linked Resource Charset',
	linkStyles			: 'Style',
	browseServer	: 'Browser Server',
	url				: 'URL',
	protocol		: 'Protocol',
	upload			: 'Upload',
	uploadSubmit	: 'Send it to the Server',
	image			: 'Image',
	form			: 'Form',
	checkbox		: 'Checkbox',
	radio		: 'Radio Button',
	textField		: 'Text Field',
	textarea		: 'Textarea',
	hiddenField		: 'Hidden Field',
	button			: 'Button',
	select	: 'Selection Field',
	imageButton		: 'Image Button',
	find			: 'Find',
	replace			: 'Replace',
	
	//Dialog titles.
	formProp		: 'Form Properties',
	buttonProp		: 'Button Properties',
	checkboxProp	: 'Checkbox Properties',
	hiddenFieldProp	: 'Hidden Field Properties',
	radioButtonProp	: 'Radio Button Properties',
	imageButtonProp	: 'Image Button Properties',
	textFieldProp	: 'Text Field Properties',
	selectionFieldProp	: 'Selection Field Properties',
	extareaProp	: 'Textarea Properties',

	// Div Dialog
	dlgDivGeneralTab	: 'General',
	dlgDivAdvancedTab	: 'Advanced',
	dlgDivStyle		: 'Style',
	dlgDivInlineStyle	: 'Inline Style',
	
	// General Dialogs Labels
	dlgGenNotSet		: '<not set>',
	dlgGenId			: 'Id',
	dlgGenLangDir		: 'Language Direction',
	dlgGenLangDirLtr	: 'Left to Right (LTR)',
	dlgGenLangDirRtl	: 'Right to Left (RTL)',
	dlgGenLangCode		: 'Language Code',
	dlgGenAccessKey		: 'Access Key',
	dlgGenName			: 'Name',
	dlgGenTabIndex		: 'Tab Index',
	dlgGenLongDescr		: 'Long Description URL',
	dlgGenClass			: 'Stylesheet Classes',
	dlgGenTitle			: 'Advisory Title',
	dlgGenContType		: 'Advisory Content Type',
	dlgGenLinkCharset	: 'Linked Resource Charset',
	dlgGenStyle			: 'Style',

	// Find and Replace Dialog
	dlgFindAndReplaceTitle	: 'Find and Replace',

	// Find Dialog
	dlgFindTitle		: 'Find',
	dlgFindFindBtn		: 'Find',
	dlgFindNotFoundMsg	: 'The specified text was not found.',

	// Replace Dialog
	dlgReplaceTitle			: 'Replace',
	dlgReplaceFindLbl		: 'Find what:',
	dlgReplaceReplaceLbl	: 'Replace with:',
	dlgReplaceCaseChk		: 'Match case',
	dlgReplaceReplaceBtn	: 'Replace',
	dlgReplaceReplAllBtn	: 'Replace All',
	dlgReplaceWordChk		: 'Match whole word',

	// Button Dialog
	dlgButtonText		: 'Text (Value)',
	dlgButtonType		: 'Type',
	dlgButtonTypeBtn	: 'Button',
	dlgButtonTypeSbm	: 'Submit',
	dlgButtonTypeRst	: 'Reset',

	// Checkbox and Radio Button Dialogs
	dlgCheckboxName		: 'Name',
	dlgCheckboxValue	: 'Value',
	dlgCheckboxSelected	: 'Selected',

	// Form Dialog
	dlgFormName		: 'Name',
	dlgFormAction	: 'Action',
	dlgFormMethod	: 'Method',

	// Select Field Dialog
	dlgSelectSelectInfo	: 'Select Info',
	dlgSelectOpAvail	: 'Available Options',
	dlgSelectName		: 'Name',
	dlgSelectValue		: 'Value',
	dlgSelectSize		: 'Size',
	dlgSelectLines		: 'lines',
	dlgSelectChkMulti	: 'Allow multiple selections',
	dlgSelectOpText		: 'Text',
	dlgSelectOpValue	: 'Value',
	dlgSelectBtnAdd		: 'Add',
	dlgSelectBtnModify	: 'Modify',
	dlgSelectBtnUp		: 'Up',
	dlgSelectBtnDown	: 'Down',
	dlgSelectBtnSetValue : 'Set as selected value',
	dlgSelectBtnDelete	: 'Delete',

	// Textarea Dialog
	dlgTextareaName	: 'Name',
	dlgTextareaCols	: 'Columns',
	dlgTextareaRows	: 'Rows',

	// Text Field Dialog
	dlgTextName			: 'Name',
	dlgTextValue		: 'Value',
	dlgTextCharWidth	: 'Character Width',
	dlgTextMaxChars		: 'Maximum Characters',
	dlgTextType			: 'Type',
	dlgTextTypeText		: 'Text',
	dlgTextTypePass		: 'Password',

	// Hidden Field Dialog
	dlgHiddenName	: 'Name',
	dlgHiddenValue	: 'Value',

	// Image Dialog
	dlgImgTitle		: 'Image Properties',
	dlgImgInfoTab	: 'Image Info',
	dlgImgBtnUpload	: 'Send it to the Server',
	dlgImgURL		: 'URL',
	dlgImgUpload	: 'Upload',
	dlgImgAlt		: 'Alternative Text',
	dlgImgWidth		: 'Width',
	dlgImgHeight	: 'Height',
	dlgImgLockRatio	: 'Lock Ratio',
	dlgBtnResetSize	: 'Reset Size',
	dlgImgBorder	: 'Border',
	dlgImgHSpace	: 'HSpace',
	dlgImgVSpace	: 'VSpace',
	dlgImgAlign		: 'Align',
	dlgImgAlignLeft	: 'Left',
	dlgImgAlignAbsBottom: 'Abs Bottom',
	dlgImgAlignAbsMiddle: 'Abs Middle',
	dlgImgAlignBaseline	: 'Baseline',
	dlgImgAlignBottom	: 'Bottom',
	dlgImgAlignMiddle	: 'Middle',
	dlgImgAlignRight	: 'Right',
	dlgImgAlignTextTop	: 'Text Top',
	dlgImgAlignTop	: 'Top',
	dlgImgPreview	: 'Preview',
	dlgImgAlertUrl	: 'Please type the image URL',
	dlgImgLinkTab	: 'Link',

	elementsPath :
	{
		eleTitle : '%1 element'
	}
};
